CREATE TABLE UMLPart_version 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     umlName                   VarChar(196)   ,
     umlType                   VarChar(25)   ,
     umlOwnedBy                DBOID   ,
     constraint PKUMLPart_version Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE TABLE UMLRel 
   ( OID                       DBOID NOT NULL  ,
     OVer                      DBOVER NOT NULL  ,
     umlRelType                Int   ,
     constraint PKUMLRel Primary Key( OID, OVer ) )
     IN TOOLS ;

CREATE VIEW Pl_UMLRel AS --Plasma for UMLRel
  SELECT
    a.*,
    m.sourceOID,
    m.sourceOVer
  FROM
    UMLRel a, ManyPtrTable m
  WHERE
    m.targetOID=a.OID AND m.targetOVer=a.OVer AND
      m.classAttrib='ADViewRoot.plasma';

